import { jsx } from "react/jsx-runtime";
import { CheckCircleIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CheckCircle = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CheckCircle", ...props, children: /* @__PURE__ */ jsx(CheckCircleIcon, { weight: variant }) });
  }
);
CheckCircle.displayName = "CheckCircle";
Object.assign(CheckCircle, { isGdsIcon: true });
export {
  CheckCircle
};
